Last Comment Bug 718228 - tab close transition to transparent is too fast
: tab close transition to transparent is too fast
Status: RESOLVED FIXED
[snappy]
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Firefox 12
Assigned To: Dão Gottwald [:dao]
:
:
Mentors:
Depends on:
Blocks: 615556
  Show dependency treegraph
 
Reported: 2012-01-14 14:06 PST by Asa Dotzler [:asa]
Modified: 2012-01-17 17:57 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
animation showing the too fast transition to transparent (21.82 KB, image/png)
2012-01-14 14:06 PST, Asa Dotzler [:asa]
no flags Details
patch (2.00 KB, patch)
2012-01-16 05:02 PST, Dão Gottwald [:dao]
ttaubert: review+
jaws: feedback+
Details | Diff | Splinter Review
animation showing the patch applied (50.93 KB, image/gif)
2012-01-16 13:11 PST, Jared Wein [:jaws] (please needinfo? me)
no flags Details

Description Asa Dotzler [:asa] 2012-01-14 14:06:53 PST
Created attachment 588688 [details]
animation showing the too fast transition to transparent

When you close a tab, the tab animates sliding leftward and becoming transparent. The transition from opaque to transparent happens far too quickly leading to a totally transparent tab well before the tab has collapsed. This makes the new tab button (or the tab to the right of the closing tab) appear to be "slow" or "not keeping up" with the closing tab.  This needs to be adjusted so that there is not a "gap" between the tab left of the closing tab and the tab (or new tab button) right of the closing tab. See attached slow-motion view to understand better what's going on. (note, my screen capture software isn't getting 60fps here so some intermediate stages are dropped, but you should be able to see what's going on.)
Comment 1 Dão Gottwald [:dao] 2012-01-16 05:02:16 PST
Created attachment 588847 [details] [diff] [review]
patch
Comment 2 Jared Wein [:jaws] (please needinfo? me) 2012-01-16 13:11:31 PST
Created attachment 588981 [details]
animation showing the patch applied

This is an animation of the patch applied, recorded at 60fps and then slowed down to 25% of the speed.
Comment 3 Jared Wein [:jaws] (please needinfo? me) 2012-01-16 13:15:05 PST
Comment on attachment 588847 [details] [diff] [review]
patch

I've tested this out on Windows and it looks much better than before.
Comment 4 Asa Dotzler [:asa] 2012-01-16 15:08:54 PST
so much nicer. thanks for taking this up so quickly!
Comment 5 Dão Gottwald [:dao] 2012-01-17 02:10:14 PST
Comment on attachment 588847 [details] [diff] [review]
patch

not sure if mak is around...
Comment 6 Tim Taubert [:ttaubert] 2012-01-17 03:10:12 PST
Comment on attachment 588847 [details] [diff] [review]
patch

Review of attachment 588847 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/themes/pinstripe/browser.css
@@ +1704,5 @@
>  
> +.tabbrowser-tab:not([pinned]):not([fadein]) {
> +  -moz-transition: min-width 200ms ease-out /* copied from browser/base/content/browser.css */,
> +                   max-width 250ms ease-out /* copied from browser/base/content/browser.css */,
> +                   opacity 50ms ease-out 100ms /* hide the tab for the last 100ms of the max-width transition */;

Do the extra 80ms that the tab is hidden make sure we don't regress bug 615556?
Comment 7 Dão Gottwald [:dao] 2012-01-17 03:12:57 PST
Yep, that's the idea.
Comment 8 Tim Taubert [:ttaubert] 2012-01-17 03:14:45 PST
Comment on attachment 588847 [details] [diff] [review]
patch

Review of attachment 588847 [details] [diff] [review]:
-----------------------------------------------------------------

Ok, just wanted to make sure I got that right. Looks good to me.
Comment 10 Joe Drew (not getting mail) 2012-01-17 17:57:14 PST
https://hg.mozilla.org/mozilla-central/rev/a79c86c93925

Note You need to log in before you can comment on or make changes to this bug.